Scala Standard Library2.13.5 < Back


# Packages

-  package root

  This is the documentation for the Scala standard library.

  This is the documentation for the Scala standard library.

  #### Package structure

  The scala package contains core types like `Int`, `Float`, `Array` or `Option` which are accessible in all Scala compilation units without explicit qualification or imports.

  Notable packages include:

  - `scala.collection` and its sub-packages contain Scala's collections framework
    - `scala.collection.immutable` - Immutable, sequential data-structures such as `Vector`, `List`, `Range`, `HashMap` or `HashSet`
    - `scala.collection.mutable` - Mutable, sequential data-structures such as `ArrayBuffer`, `StringBuilder`, `HashMap` or `HashSet`
    - `scala.collection.concurrent` - Mutable, concurrent data-structures such as `TrieMap`
  - `scala.concurrent` - Primitives for concurrent programming such as `Futures` and `Promises`
  - `scala.io` - Input and output operations
  - `scala.math` - Basic math functions and additional numeric types like `BigInt` and `BigDecimal`
  - `scala.sys` - Interaction with other processes and the operating system
  - `scala.util.matching` - Regular expressions

  Other packages exist. See the complete list on the right.

  Additional parts of the standard library are shipped as separate libraries. These include:

  - `scala.reflect` - Scala's reflection API (scala-reflect.jar)
  - `scala.xml` - XML parsing, manipulation, and serialization (scala-xml.jar)
  - `scala.collection.parallel` - Parallel collections (scala-parallel-collections.jar)
  - `scala.util.parsing` - Parser combinators (scala-parser-combinators.jar)
  - `scala.swing` - A convenient wrapper around Java's GUI framework called Swing (scala-swing.jar)

  #### Automatic imports

  Identifiers in the scala package and the `scala.Predef` object are always in scope by default.

  Some of these identifiers are type aliases provided as shortcuts to commonly used classes. For example, `List` is an alias for `scala.collection.immutable.List`.

  Other aliases refer to classes provided by the underlying platform. For example, on the JVM, `String` is an alias for `java.lang.String`.

  Definition Classes
    root
-  package scala

  Core Scala types.

  Core Scala types. They are always available without an explicit import.

  Definition Classes
    root
-  package collection
  Definition Classes
    scala
-  package mutable
  Definition Classes
    collection
-  object ArraySeq extends StrictOptimizedClassTagSeqFactory[ArraySeq]

  A companion object used to create instances of `ArraySeq`.

  A companion object used to create instances of `ArraySeq`.

  Definition Classes
    mutable
  Annotations
    @SerialVersionUID()
- ofBoolean
- ofByte
- ofChar
- ofDouble
- ofFloat
- ofInt
- ofLong
- ofRef
- ofShort
- ofUnit

c

scala.collection.mutable.ArraySeq

# ofFloat

###

#### final class ofFloat extends ArraySeq[Float]

Annotations
  @SerialVersionUID()
Source
  ArraySeq.scala

Linear Supertypes
ArraySeq[Float], java.io.Serializable, StrictOptimizedSeqOps[Float, ArraySeq, ArraySeq[Float]], StrictOptimizedIterableOps[Float, ArraySeq, ArraySeq[Float]], IndexedSeq[Float], IndexedSeqOps[Float, [_]ArraySeq[_], ArraySeq[Float]], collection.IndexedSeq[Float], collection.IndexedSeqOps[Float, [_]ArraySeq[_], ArraySeq[Float]], AbstractSeq[Float], Seq[Float], SeqOps[Float, [_]ArraySeq[_], ArraySeq[Float]], Cloneable[ArraySeq[Float]], java.lang.Cloneable, Iterable[Float], collection.AbstractSeq[Float], collection.Seq[Float], Equals, collection.SeqOps[Float, [_]ArraySeq[_], ArraySeq[Float]], PartialFunction[Int, Float], (Int) => Float, collection.AbstractIterable[Float], collection.Iterable[Float], IterableFactoryDefaults[Float, [x]IndexedSeq[x]], IterableOps[Float, [_]ArraySeq[_], ArraySeq[Float]], IterableOnceOps[Float, [_]ArraySeq[_], ArraySeq[Float]], IterableOnce[Float], AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ofFloat
2. ArraySeq
3. Serializable
4. StrictOptimizedSeqOps
5. StrictOptimizedIterableOps
6. IndexedSeq
7. IndexedSeqOps
8. IndexedSeq
9. IndexedSeqOps
10. AbstractSeq
11. Seq
12. SeqOps
13. Cloneable
14. Cloneable
15. Iterable
16. AbstractSeq
17. Seq
18. Equals
19. SeqOps
20. PartialFunction
21. Function1
22. AbstractIterable
23. Iterable
24. IterableFactoryDefaults
25. IterableOps
26. IterableOnceOps
27. IterableOnce
28. AnyRef
29. Any

Implicitly

1. by iterableOnceExtensionMethods
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ofFloat(array: Array[Float])

### Value Members

1.  final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any
2.  final def ##: Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ofFloat toany2stringadd[ofFloat] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  final def ++[B >: Float](suffix: IterableOnce[B]): ArraySeq[B]

   Alias for `concat`

   Alias for `concat`

   Definition Classes
     IterableOps
   Annotations
     @inline()
5.  final def ++:[B >: Float](prefix: IterableOnce[B]): ArraySeq[B]

   Alias for `prependedAll`

   Alias for `prependedAll`

   Definition Classes
     SeqOps → IterableOps
   Annotations
     @inline()
6.  final def +:[B >: Float](elem: B): ArraySeq[B]

   Alias for `prepended`.

   Alias for `prepended`.

   Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Definition Classes
     SeqOps
   Annotations
     @inline()
7.  def ->[B](y: B): (ofFloat, B)
   Implicit
     This member is added by an implicit conversion from ofFloat toArrowAssoc[ofFloat] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
8.  final def :+[B >: Float](elem: B): ArraySeq[B]

   Alias for `appended`

   Alias for `appended`

   Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Definition Classes
     SeqOps
   Annotations
     @inline()
9.  final def :++[B >: Float](suffix: IterableOnce[B]): ArraySeq[B]

   Alias for `appendedAll`

   Alias for `appendedAll`

   Definition Classes
     SeqOps
   Annotations
     @inline()
10.  final def ==(arg0: Any): Boolean

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any
11.  final def addString(b: StringBuilder): StringBuilder

    Appends all elements of this wrapped array to a string builder.

    Appends all elements of this wrapped array to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this wrapped array without any separator string.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        h: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      IterableOnceOps
    Annotations
      @inline()
12.  final def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this wrapped array to a string builder using a separator string.

    Appends all elements of this wrapped array to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this wrapped array, separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      IterableOnceOps
    Annotations
      @inline()
13.  def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this wrapped array to a string builder using start, end, and separator strings.

    Appends all elements of this wrapped array to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this wrapped array are separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b , "List(" , ", " , ")")
        res5: StringBuilder = List(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      IterableOnceOps
14.  def andThen[C](k: PartialFunction[Float, C]): PartialFunction[Int, C]

    Composes this partial function with another partial function that gets applied to results of this partial function.

    Composes this partial function with another partial function that gets applied to results of this partial function.

    Note that calling isDefinedAt on the resulting partial function may apply the first partial function and execute its side effect. It is highly recommended to call applyOrElse instead of isDefinedAt / apply for efficiency.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the domain of this partial function narrowed by other partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction
15.  def andThen[C](k: (Float) => C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    If the runtime type of the function is a `PartialFunction` then the other `andThen` method is used (note its cautions).

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the domain of this partial function, possibly narrowed by the specified function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1
16.  def appended[B >: Float](elem: B): ArraySeq[B]

    A copy of this wrapped array with an element appended.

    A copy of this wrapped array with an element appended.

    Example:

        scala> val a = List(1)
        a: List[Int] = List(1)

        scala> val b = a :+ 2
        b: List[Int] = List(1, 2)

        scala> println(a)
        List(1)

    B

      the element type of the returned wrapped array.

    elem

      the appended element

    returns

      a new wrapped array consisting of all elements of this wrapped array followed by `value`.

    Definition Classes
      StrictOptimizedSeqOps → SeqOps
17.  def appendedAll[B >: Float](suffix: IterableOnce[B]): ArraySeq[B]

    Returns a new wrapped array containing the elements from the left hand operand followed by the elements from the right hand operand.

    Returns a new wrapped array containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the wrapped array is the most specific superclass encompassing the element types of the two operands.

    B

      the element type of the returned collection.

    suffix

      the iterable to append.

    returns

      a new collection of type `CC[B]` which contains all elements of this wrapped array followed by all elements of `suffix`.

    Definition Classes
      StrictOptimizedSeqOps → SeqOps
18.  def apply(index: Int): Float

    Get the element at the specified index.

    Get the element at the specified index. This operation is provided for convenience in `Seq`. It should not be assumed to be efficient unless you have an `IndexedSeq`.

    Definition Classes
      ofFloat → SeqOps → Function1
19.  def applyOrElse[A1 <: Int, B1 >: Float](x: A1, default: (A1) => B1): B1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals the compiler generates an `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Definition Classes
      PartialFunction
20.  val array: Array[Float]

    The underlying array.

    The underlying array. Its element type does not have to be equal to the element type of this ArraySeq. A primitive ArraySeq can be backed by an array of boxed values and a reference ArraySeq can be backed by an array of a supertype or subtype of the element type.

    Definition Classes
      ofFloat → ArraySeq
21.  final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

22.  def canEqual(that: Any): Boolean

    A method that should be called from every well-designed equals method that is open to be overridden in a subclass.

    A method that should be called from every well-designed equals method that is open to be overridden in a subclass. See Programming in Scala, Chapter 28 for discussion and design.

    that

      the value being probed for possible equality

    returns

      true if this instance can possibly equal `that`, otherwise false

    Definition Classes
      Seq → Equals
23.  def className: String

    Defines the prefix of this object's `toString` representation.

    Defines the prefix of this object's `toString` representation.

    It is recommended to return the name of the concrete collection type, but not implementation subclasses. For example, for `ListMap` this method should return `"ListMap"`, not `"Map"` (the supertype) or `"Node"` (an implementation subclass).

    The default implementation returns "Iterable". It is overridden for the basic collection kinds "Seq", "IndexedSeq", "LinearSeq", "Buffer", "Set", "Map", "SortedSet", "SortedMap" and "View".

    returns

      a string representation which starts the result of `toString` applied to this wrapped array. By default the string prefix is the simple name of the collection class wrapped array.

    Attributes
      protected[this]
    Definition Classes
      ArraySeq → Iterable
24.  def clone(): ArraySeq[Float]

    Clones this object, including the underlying Array.

    Clones this object, including the underlying Array.

    returns

      a copy of the receiver object.

    Definition Classes
      ArraySeq → SeqOps → Cloneable → AnyRef
25.  final def coll: ofFloat.this.type

    returns

      This collection as a `C`.

    Attributes
      protected
    Definition Classes
      Iterable → IterableOps
26.  def collect[B](pf: PartialFunction[Float, B]): ArraySeq[B]

    Builds a new wrapped array by applying a partial function to all elements of this wrapped array on which the function is defined.

    Builds a new wrapped array by applying a partial function to all elements of this wrapped array on which the function is defined.

    B

      the element type of the returned wrapped array.

    pf

      the partial function which filters and maps the wrapped array.

    returns

      a new wrapped array resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      StrictOptimizedIterableOps → IterableOps → IterableOnceOps
27.  def collectFirst[B](pf: PartialFunction[Float, B]): Option[B]

    Finds the first element of the wrapped array for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the wrapped array for which the given partial function is defined, and applies the partial function to it.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      IterableOnceOps
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

28.  def combinations(n: Int): Iterator[ArraySeq[Float]]

    Iterates over combinations.

    Iterates over combinations. A _combination_ of length `n` is a subsequence of the original sequence, with the elements taken in order. Thus, `"xy"` and `"yy"` are both length-2 combinations of `"xyy"`, but `"yx"` is not. If there is more than one way to generate the same subsequence, only one will be returned.

    For example, `"xyyy"` has three different ways to generate `"xy"` depending on whether the first, second, or third `"y"` is selected. However, since all are identical, only one will be chosen. Which of the three will be taken is an implementation detail that is not defined.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    returns

      An Iterator which traverses the possible n-element combinations of this wrapped array.

    Definition Classes
      SeqOps
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

29.  def compose[R](k: PartialFunction[R, Int]): PartialFunction[R, Float]

    Composes another partial function `k` with this partial function so that this partial function gets applied to results of `k`.

    Composes another partial function `k` with this partial function so that this partial function gets applied to results of `k`.

    Note that calling isDefinedAt on the resulting partial function may apply the first partial function and execute its side effect. It is highly recommended to call applyOrElse instead of isDefinedAt / apply for efficiency.

    R

      the parameter type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the domain of other partial function narrowed by this partial function, which maps arguments `x` to `this(k(x))`.

    Definition Classes
      PartialFunction
30.  def compose[A](g: (A) => Int): (A) => Float

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()
31.  final def concat[B >: Float](suffix: IterableOnce[B]): ArraySeq[B]

    Returns a new wrapped array containing the elements from the left hand operand followed by the elements from the right hand operand.

    Returns a new wrapped array containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the wrapped array is the most specific superclass encompassing the element types of the two operands.

    B

      the element type of the returned collection.

    suffix

      the traversable to append.

    returns

      a new wrapped array which contains all elements of this wrapped array followed by all elements of `suffix`.

    Definition Classes
      SeqOps → IterableOps
    Annotations
      @inline()
32.  def contains[A1 >: Float](elem: A1): Boolean

    Tests whether this wrapped array contains a given value as an element.

    Tests whether this wrapped array contains a given value as an element.

    elem

      the element to test.

    returns

      `true` if this wrapped array has an element that is equal (as determined by `==`) to `elem`, `false` otherwise.

    Definition Classes
      SeqOps
33.  def containsSlice[B >: Float](that: collection.Seq[B]): Boolean

    Tests whether this wrapped array contains a given sequence as a slice.

    Tests whether this wrapped array contains a given sequence as a slice.

    that

      the sequence to test

    returns

      `true` if this wrapped array contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqOps
34.  def copyToArray[B >: Float](xs: Array[B], start: Int, len: Int): Int

    Copy elements to an array, returning the number of elements written.

    Copy elements to an array, returning the number of elements written.

    Fills the given array `xs` starting at index `start` with at most `len` elements of this wrapped array.

    Copying will stop once either all the elements of this wrapped array have been copied, or the end of the array is reached, or `len` elements have been copied.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index of xs.

    len

      the maximal number of elements to copy.

    returns

      the number of elements written to the array

    Definition Classes
      ArraySeq → IterableOnceOps
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

35.  def copyToArray[B >: Float](xs: Array[B], start: Int): Int

    Copy elements to an array, returning the number of elements written.

    Copy elements to an array, returning the number of elements written.

    Fills the given array `xs` starting at index `start` with values of this wrapped array.

    Copying will stop once either all the elements of this wrapped array have been copied, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index of xs.

    returns

      the number of elements written to the array

    Definition Classes
      IterableOnceOps
    Annotations
      @deprecatedOverriding(message = "This should always forward to the 3-arg version of this method", since = "2.13.4")
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

36.  def copyToArray[B >: Float](xs: Array[B]): Int

    Copy elements to an array, returning the number of elements written.

    Copy elements to an array, returning the number of elements written.

    Fills the given array `xs` starting at index `start` with values of this wrapped array.

    Copying will stop once either all the elements of this wrapped array have been copied, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    returns

      the number of elements written to the array

    Definition Classes
      IterableOnceOps
    Annotations
      @deprecatedOverriding(message = "This should always forward to the 3-arg version of this method", since = "2.13.4")
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

37.  def corresponds[B](that: collection.Seq[B])(p: (Float, B) => Boolean): Boolean

    Tests whether every element of this wrapped array relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this wrapped array relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this wrapped array and `y` of `that`, otherwise `false`.

    Definition Classes
      SeqOps
38.  def corresponds[B](that: IterableOnce[B])(p: (Float, B) => Boolean): Boolean

    Tests whether every element of this collection's iterator relates to the corresponding element of another collection by satisfying a test predicate.

    Tests whether every element of this collection's iterator relates to the corresponding element of another collection by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other collection

    p

      the test predicate, which relates elements from both collections

    returns

      `true` if both collections have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this iterator and `y` of `that`, otherwise `false`

    Definition Classes
      IterableOnceOps
39.  def count(p: (Float) => Boolean): Int

    Counts the number of elements in the wrapped array which satisfy a predicate.

    Counts the number of elements in the wrapped array which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      IterableOnceOps
40.  def diff[B >: Float](that: collection.Seq[B]): ArraySeq[Float]

    Computes the multiset difference between this wrapped array and another sequence.

    Computes the multiset difference between this wrapped array and another sequence.

    that

      the sequence of elements to remove

    returns

      a new wrapped array which contains all elements of this wrapped array except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      StrictOptimizedSeqOps → SeqOps
41.  def distinct: ArraySeq[Float]

    Selects all the elements of this wrapped array ignoring the duplicates.

    Selects all the elements of this wrapped array ignoring the duplicates.

    returns

      a new wrapped array consisting of all the elements of this wrapped array without duplicates.

    Definition Classes
      SeqOps
42.  def distinctBy[B](f: (Float) => B): ArraySeq[Float]

    Selects all the elements of this wrapped array ignoring the duplicates as determined by `==` after applying the transforming function `f`.

    Selects all the elements of this wrapped array ignoring the duplicates as determined by `==` after applying the transforming function `f`.

    B

      the type of the elements after being transformed by `f`

    f

      The transforming function whose result is used to determine the uniqueness of each element

    returns

      a new wrapped array consisting of all the elements of this wrapped array without duplicates.

    Definition Classes
      StrictOptimizedSeqOps → SeqOps
43.  def drop(n: Int): ArraySeq[Float]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this wrapped array.

    returns

      a wrapped array consisting of all elements of this wrapped array except the first `n` ones, or else the empty wrapped array, if this wrapped array has less than `n` elements. If `n` is negative, don't drop any elements.

    Definition Classes
      IndexedSeqOps → IterableOps → IterableOnceOps
44.  def dropRight(n: Int): ArraySeq[Float]

    The rest of the collection without its `n` last elements.

    The rest of the collection without its `n` last elements. For linear, immutable collections this should avoid making a copy.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    n

      the number of elements to drop from this wrapped array.

    returns

      a wrapped array consisting of all elements of this wrapped array except the last `n` ones, or else the empty wrapped array, if this wrapped array has less than `n` elements. If `n` is negative, don't drop any elements.

    Definition Classes
      StrictOptimizedIterableOps → IterableOps
45.  def dropWhile(p: (Float) => Boolean): ArraySeq[Float]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    p

      The predicate used to test elements.

    returns

      the longest suffix of this wrapped array whose first element does not satisfy the predicate `p`.

    Definition Classes
      IterableOps → IterableOnceOps
46.  def elemTag: FloatManifest

    The tag of the element type.

    The tag of the element type. This does not have to be equal to the element type of this ArraySeq. A primitive ArraySeq can be backed by an array of boxed values and a reference ArraySeq can be backed by an array of a supertype or subtype of the element type.

    Definition Classes
      ofFloat → ArraySeq
47.  def elementWise: ElementWiseExtractor[Int, Float]

    Returns an extractor object with a `unapplySeq` method, which extracts each element of a sequence data.

    Returns an extractor object with a `unapplySeq` method, which extracts each element of a sequence data.

    Definition Classes
      PartialFunction
    Example:

    1.     val firstChar: String => Option[Char] = _.headOption

           Seq("foo", "bar", "baz") match {
             case firstChar.unlift.elementWise(c0, c1, c2) =>
               println(s"$c0, $c1, $c2") // Output: f, b, b
           }

48.  def empty: ArraySeq[Float]

    The empty iterable of the same type as this iterable

    The empty iterable of the same type as this iterable

    returns

      an empty iterable of type `C`.

    Definition Classes
      ArraySeq → IterableFactoryDefaults → IterableOps
49.  def endsWith[B >: Float](that: collection.Iterable[B]): Boolean

    Tests whether this wrapped array ends with the given sequence.

    Tests whether this wrapped array ends with the given sequence.

    that

      the sequence to test

    returns

      `true` if this wrapped array has `that` as a suffix, `false` otherwise.

    Definition Classes
      SeqOps
50.  def ensuring(cond: (ofFloat) => Boolean, msg: => Any): ofFloat
    Implicit
      This member is added by an implicit conversion from ofFloat toEnsuring[ofFloat] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
51.  def ensuring(cond: (ofFloat) => Boolean): ofFloat
    Implicit
      This member is added by an implicit conversion from ofFloat toEnsuring[ofFloat] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
52.  def ensuring(cond: Boolean, msg: => Any): ofFloat
    Implicit
      This member is added by an implicit conversion from ofFloat toEnsuring[ofFloat] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
53.  def ensuring(cond: Boolean): ofFloat
    Implicit
      This member is added by an implicit conversion from ofFloat toEnsuring[ofFloat] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
54.  final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef
55.  def equals(that: Any): Boolean

    The universal equality method defined in `AnyRef`.

    The universal equality method defined in `AnyRef`.

    Definition Classes
      ofFloat → ArraySeq → Seq → Equals → AnyRef → Any
56.  def exists(p: (Float) => Boolean): Boolean

    Tests whether a predicate holds for at least one element of this wrapped array.

    Tests whether a predicate holds for at least one element of this wrapped array.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` is satisfied by at least one element of this wrapped array, otherwise `false`

    Definition Classes
      IterableOnceOps
57.  def filter(pred: (Float) => Boolean): ArraySeq[Float]

    Selects all elements of this wrapped array which satisfy a predicate.

    Selects all elements of this wrapped array which satisfy a predicate.

    returns

      a new iterator consisting of all elements of this wrapped array that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      StrictOptimizedIterableOps → IterableOps → IterableOnceOps
58.  def filterImpl(pred: (Float) => Boolean, isFlipped: Boolean): ArraySeq[Float]
    Attributes
      protected[collection]
    Definition Classes
      StrictOptimizedIterableOps
59.  def filterNot(pred: (Float) => Boolean): ArraySeq[Float]

    Selects all elements of this wrapped array which do not satisfy a predicate.

    Selects all elements of this wrapped array which do not satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new wrapped array consisting of all elements of this wrapped array that do not satisfy the given predicate `pred`. Their order may not be preserved.

    Definition Classes
      StrictOptimizedIterableOps → IterableOps → IterableOnceOps
60.  def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
    Note

      not specified by SLS as a member of AnyRef

61.  def find(p: (Float) => Boolean): Option[Float]

    Finds the first element of the wrapped array satisfying a predicate, if any.

    Finds the first element of the wrapped array satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the wrapped array that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableOnceOps
62.  def findLast(p: (Float) => Boolean): Option[Float]

    Finds the last element of the wrapped array satisfying a predicate, if any.

    Finds the last element of the wrapped array satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the last element in the wrapped array that satisfies `p`, or `None` if none exists.

    Definition Classes
      SeqOps
63.  def flatMap[B](f: (Float) => IterableOnce[B]): ArraySeq[B]

    Builds a new wrapped array by applying a function to all elements of this wrapped array and using the elements of the resulting collections.

    Builds a new wrapped array by applying a function to all elements of this wrapped array and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of wrapped array. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap ((word: String) => word.toSeq)

        // xs will be an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new wrapped array resulting from applying the given collection-valued function `f` to each element of this wrapped array and concatenating the results.

    Definition Classes
      StrictOptimizedIterableOps → IterableOps → IterableOnceOps
64.  def flatten[B](implicit toIterableOnce: (Float) => IterableOnce[B]): ArraySeq[B]

    Converts this wrapped array of traversable collections into a wrapped array formed by the elements of these traversable collections.

    Converts this wrapped array of traversable collections into a wrapped array formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the type of wrapped array. For example:

        val xs = List(
                   Set(1, 2, 3),
                   Set(1, 2, 3)
                 ).flatten
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(
                   List(1, 2, 3),
                   List(3, 2, 1)
                 ).flatten
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new wrapped array resulting from concatenating all element wrapped arrays.

    Definition Classes
      StrictOptimizedIterableOps → IterableOps → IterableOnceOps
65.  def fold[A1 >: Float](z: A1)(op: (A1, A1) => A1): A1

    Folds the elements of this wrapped array using the specified associative binary operator.

    Folds the elements of this wrapped array using the specified associative binary operator. The default implementation in `IterableOnce` is equivalent to `foldLeft` but may be overridden for more efficient traversal orders.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication).

    op

      a binary operator that must be associative.

    returns

      the result of applying the fold operator `op` between all the elements and `z`, or `z` if this wrapped array is empty.

    Definition Classes
      IterableOnceOps
66.  def foldLeft[B](z: B)(op: (B, Float) => B): B

    Applies a binary operator to a start value and all elements of this wrapped array, going left to right.

    Applies a binary operator to a start value and all elements of this wrapped array, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this wrapped array, going left to right with the start value `z` on the left: `op(...op(z, x1), x2, ..., xn)` where `x1, ..., xn` are the elements of this wrapped array. Returns `z` if this wrapped array is empty.

    Definition Classes
      IterableOnceOps
67.  def foldRight[B](z: B)(op: (Float, B) => B): B

    Applies a binary operator to all elements of this wrapped array and a start value, going right to left.

    Applies a binary operator to all elements of this wrapped array and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this wrapped array, going right to left with the start value `z` on the right: `op(x1, op(x2, ... op(xn, z)...))` where `x1, ..., xn` are the elements of this wrapped array. Returns `z` if this wrapped array is empty.

    Definition Classes
      IndexedSeqOps → IterableOnceOps
68.  def forall(p: (Float) => Boolean): Boolean

    Tests whether a predicate holds for all elements of this wrapped array.

    Tests whether a predicate holds for all elements of this wrapped array.

    p

      the predicate used to test elements.

    returns

      `true` if this wrapped array is empty or the given predicate `p` holds for all elements of this wrapped array, otherwise `false`.

    Definition Classes
      IterableOnceOps
69.  def foreach[U](f: (Float) => U): Unit

    Apply `f` to each element for its side effects Note: [U] parameter needed to help scalac's type inference.

    Apply `f` to each element for its side effects Note: [U] parameter needed to help scalac's type inference.

    Definition Classes
      IterableOnceOps
70.  def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit
      This member is added by an implicit conversion from ofFloat toStringFormat[ofFloat] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
71.  def fromSpecific(coll: IterableOnce[Float]): ArraySeq[Float]

    Defines how to turn a given `Iterable[A]` into a collection of type `C`.

    Defines how to turn a given `Iterable[A]` into a collection of type `C`.

    This process can be done in a strict way or a non-strict way (ie. without evaluating the elements of the resulting collections). In other words, this methods defines the evaluation model of the collection.

    Attributes
      protected
    Definition Classes
      ArraySeq → IterableFactoryDefaults → IterableOps
    Note

      When implementing a custom collection type and refining `C` to the new type, this method needs to be overridden (the compiler will issue an error otherwise). In the common case where `C =:= CC[A]`, this can be done by mixing in the scala.collection.IterableFactoryDefaults trait, which implements the method using iterableFactory.

      ,

      As witnessed by the `@uncheckedVariance` annotation, using this method might be unsound. However, as long as it is called with an `Iterable[A]` obtained from `this` collection (as it is the case in the implementations of operations where we use a `View[A]`), it is safe.

72.  final def getClass(): Class[_ <: AnyRef]

    Returns the runtime class representation of the object.

    Returns the runtime class representation of the object.

    returns

      a class object corresponding to the runtime type of the receiver.

    Definition Classes
      AnyRef → Any
    Annotations
      @native()
73.  def groupBy[K](f: (Float) => K): immutable.Map[K, ArraySeq[Float]]

    Partitions this wrapped array into a map of wrapped arrays according to some discriminator function.

    Partitions this wrapped array into a map of wrapped arrays according to some discriminator function.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to wrapped arrays such that the following invariant holds:

          (xs groupBy f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a wrapped array of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      IterableOps
74.  def groupMap[K, B](key: (Float) => K)(f: (Float) => B): immutable.Map[K, ArraySeq[B]]

    Partitions this wrapped array into a map of wrapped arrays according to a discriminator function `key`.

    Partitions this wrapped array into a map of wrapped arrays according to a discriminator function `key`. Each element in a group is transformed into a value of type `B` using the `value` function.

    It is equivalent to `groupBy(key).mapValues(_.map(f))`, but more efficient.

        case class User(name: String, age: Int)

        def namesByAge(users: Seq[User]): Map[Int, Seq[String]] =
          users.groupMap(_.age)(_.name)

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    K

      the type of keys returned by the discriminator function

    B

      the type of values returned by the transformation function

    key

      the discriminator function

    f

      the element transformation function

    Definition Classes
      IterableOps
75.  def groupMapReduce[K, B](key: (Float) => K)(f: (Float) => B)(reduce: (B, B) => B): immutable.Map[K, B]

    Partitions this wrapped array into a map according to a discriminator function `key`.

    Partitions this wrapped array into a map according to a discriminator function `key`. All the values that have the same discriminator are then transformed by the `f` function and then reduced into a single value with the `reduce` function.

    It is equivalent to `groupBy(key).mapValues(_.map(f).reduce(reduce))`, but more efficient.

        def occurrences[A](as: Seq[A]): Map[A, Int] =
          as.groupMapReduce(identity)(_ => 1)(_ + _)

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    Definition Classes
      IterableOps
76.  def grouped(size: Int): Iterator[ArraySeq[Float]]

    Partitions elements in fixed size wrapped arrays.

    Partitions elements in fixed size wrapped arrays.

    size

      the number of elements per group

    returns

      An iterator producing wrapped arrays of size `size`, except the last will be less than size `size` if the elements don't divide evenly.

    Definition Classes
      IterableOps
    See also

      scala.collection.Iterator, method `grouped`

77.  def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      ofFloat → Seq → AnyRef → Any
78.  def head: Float

    Selects the first element of this wrapped array.

    Selects the first element of this wrapped array.

    returns

      the first element of this wrapped array.

    Definition Classes
      IndexedSeqOps → IterableOps
    Exceptions thrown

      `NoSuchElementException` if the wrapped array is empty.

79.  def headOption: Option[Float]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this wrapped array if it is nonempty, `None` if it is empty.

    Definition Classes
      IndexedSeqOps → IterableOps
80.  def indexOf[B >: Float](elem: B): Int

    Finds index of first occurrence of some value in this wrapped array.

    Finds index of first occurrence of some value in this wrapped array.

    B

      the type of the element `elem`.

    elem

      the element value to search for.

    returns

      the index `>= 0` of the first element of this wrapped array that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      SeqOps
    Annotations
      @deprecatedOverriding(message = "Override indexOf(elem, from) instead - indexOf(elem) calls indexOf(elem, 0)", since = "2.13.0")
81.  def indexOf[B >: Float](elem: B, from: Int): Int

    Finds index of first occurrence of some value in this wrapped array after or at some start index.

    Finds index of first occurrence of some value in this wrapped array after or at some start index.

    B

      the type of the element `elem`.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this wrapped array that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      SeqOps
82.  def indexOfSlice[B >: Float](that: collection.Seq[B]): Int

    Finds first index where this wrapped array contains a given sequence as a slice.

    Finds first index where this wrapped array contains a given sequence as a slice.

    that

      the sequence to test

    returns

      the first index `>= 0` such that the elements of this wrapped array starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqOps
    Annotations
      @deprecatedOverriding(message = "Override indexOfSlice(that, from) instead - indexOfSlice(that) calls indexOfSlice(that, 0)", since = "2.13.0")
83.  def indexOfSlice[B >: Float](that: collection.Seq[B], from: Int): Int

    Finds first index after or at a start index where this wrapped array contains a given sequence as a slice.

    Finds first index after or at a start index where this wrapped array contains a given sequence as a slice.

    that

      the sequence to test

    from

      the start index

    returns

      the first index `>= from` such that the elements of this wrapped array starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqOps
84.  def indexWhere(p: (Float) => Boolean): Int

    Finds index of the first element satisfying some predicate.

    Finds index of the first element satisfying some predicate.

    p

      the predicate used to test elements.

    returns

      the index `>= 0` of the first element of this wrapped array that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      SeqOps
    Annotations
      @deprecatedOverriding(message = "Override indexWhere(p, from) instead - indexWhere(p) calls indexWhere(p, 0)", since = "2.13.0")
85.  def indexWhere(p: (Float) => Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this wrapped array that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      SeqOps
86.  def indices: immutable.Range

    Produces the range of all indices of this sequence.

    Produces the range of all indices of this sequence.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    returns

      a `Range` value from `0` to one less than the length of this wrapped array.

    Definition Classes
      SeqOps
87.  def init: ArraySeq[Float]

    The initial part of the collection without its last element.

    The initial part of the collection without its last element.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    Definition Classes
      IterableOps
88.  def inits: Iterator[ArraySeq[Float]]

    Iterates over the inits of this wrapped array.

    Iterates over the inits of this wrapped array. The first value will be this wrapped array and the final one will be an empty wrapped array, with the intervening values the results of successive applications of `init`.

    Note: Even when applied to a view or a lazy collection it will always force the elements.

    returns

      an iterator over all the inits of this wrapped array

    Definition Classes
      IterableOps
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

89.  def intersect[B >: Float](that: collection.Seq[B]): ArraySeq[Float]

    Computes the multiset intersection between this wrapped array and another sequence.

    Computes the multiset intersection between this wrapped array and another sequence.

    that

      the sequence of elements to intersect with.

    returns

      a new wrapped array which contains all elements of this wrapped array which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      StrictOptimizedSeqOps → SeqOps
90.  def isDefinedAt(idx: Int): Boolean

    Tests whether this wrapped array contains given index.

    Tests whether this wrapped array contains given index.

    The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

    idx

      the index to test

    returns

      `true` if this wrapped array contains an element at position `idx`, `false` otherwise.

    Definition Classes
      SeqOps
91.  def isEmpty: Boolean

    Tests whether the wrapped array is empty.

    Tests whether the wrapped array is empty.

    Note: Implementations in subclasses that are not repeatedly traversable must take care not to consume any elements when `isEmpty` is called.

    returns

      `true` if the wrapped array contains no elements, `false` otherwise.

    Definition Classes
      SeqOps → IterableOnceOps
92.  final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any
93.  def isTraversableAgain: Boolean

    Tests whether this wrapped array can be repeatedly traversed.

    Tests whether this wrapped array can be repeatedly traversed. Always true for Iterables and false for Iterators unless overridden.

    returns

      `true` if it is repeatedly traversable, `false` otherwise.

    Definition Classes
      IterableOps → IterableOnceOps
94.  def iterableFactory: SeqFactory[ArraySeq]

    The companion object of this wrapped array, providing various factory methods.

    The companion object of this wrapped array, providing various factory methods.

    Definition Classes
      ArraySeq → IndexedSeq → IndexedSeq → Seq → Iterable → Seq → Iterable → IterableOps
    Note

      When implementing a custom collection type and refining `CC` to the new type, this method needs to be overridden to return a factory for the new type (the compiler will issue an error otherwise).

95.  def iterator: Iterator[Float]

    Iterator can be used only once

    Iterator can be used only once

    Definition Classes
      ofFloat → IndexedSeqOps → IterableOnce
96.  def knownSize: Int

    returns

      The number of elements in this wrapped array, if it can be cheaply computed, -1 otherwise. Cheaply usually means: Not requiring a collection traversal.

    Definition Classes
      IndexedSeqOps → IterableOnce
97.  def last: Float

    Selects the last element.

    Selects the last element.

    returns

      The last element of this wrapped array.

    Definition Classes
      IndexedSeqOps → IterableOps
    Exceptions thrown

      `NoSuchElementException` If the wrapped array is empty.

98.  def lastIndexOf[B >: Float](elem: B, end: Int = length - 1): Int

    Finds index of last occurrence of some value in this wrapped array before or at a given end index.

    Finds index of last occurrence of some value in this wrapped array before or at a given end index.

    B

      the type of the element `elem`.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this wrapped array that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      SeqOps
99.  def lastIndexOfSlice[B >: Float](that: collection.Seq[B]): Int

    Finds last index where this wrapped array contains a given sequence as a slice.

    Finds last index where this wrapped array contains a given sequence as a slice.

    that

      the sequence to test

    returns

      the last index such that the elements of this wrapped array starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqOps
    Annotations
      @deprecatedOverriding(message = "Override lastIndexOfSlice(that, end) instead - lastIndexOfSlice(that) calls lastIndexOfSlice(that, Int.MaxValue)", since = "2.13.0")
100.  def lastIndexOfSlice[B >: Float](that: collection.Seq[B], end: Int): Int

     Finds last index before or at a given end index where this wrapped array contains a given sequence as a slice.

     Finds last index before or at a given end index where this wrapped array contains a given sequence as a slice.

     that

       the sequence to test

     end

       the end index

     returns

       the last index `<= end` such that the elements of this wrapped array starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqOps
101.  def lastIndexWhere(p: (Float) => Boolean): Int

     Finds index of last element satisfying some predicate.

     Finds index of last element satisfying some predicate.

     p

       the predicate used to test elements.

     returns

       the index of the last element of this wrapped array that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       SeqOps
     Annotations
       @deprecatedOverriding(message = "Override lastIndexWhere(p, end) instead - lastIndexWhere(p) calls lastIndexWhere(p, Int.MaxValue)", since = "2.13.0")
102.  def lastIndexWhere(p: (Float) => Boolean, end: Int): Int

     Finds index of last element satisfying some predicate before or at given end index.

     Finds index of last element satisfying some predicate before or at given end index.

     p

       the predicate used to test elements.

     returns

       the index `<= end` of the last element of this wrapped array that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       SeqOps
103.  def lastOption: Option[Float]

     Optionally selects the last element.

     Optionally selects the last element.

     returns

       the last element of this wrapped array$ if it is nonempty, `None` if it is empty.

     Definition Classes
       IterableOps
104.  def lazyZip[B](that: collection.Iterable[B]): LazyZip2[Float, B, ofFloat.this.type]

     Analogous to `zip` except that the elements in each collection are not consumed until a strict operation is invoked on the returned `LazyZip2` decorator.

     Analogous to `zip` except that the elements in each collection are not consumed until a strict operation is invoked on the returned `LazyZip2` decorator.

     Calls to `lazyZip` can be chained to support higher arities (up to 4) without incurring the expense of constructing and deconstructing intermediary tuples.

         val xs = List(1, 2, 3)
         val res = (xs lazyZip xs lazyZip xs lazyZip xs).map((a, b, c, d) => a + b + c + d)
         // res == List(4, 8, 12)

     B

       the type of the second element in each eventual pair

     that

       the iterable providing the second element of each eventual pair

     returns

       a decorator `LazyZip2` that allows strict operations to be performed on the lazily evaluated pairs or chained calls to `lazyZip`. Implicit conversion to `Iterable[(A, B)]` is also supported.

     Definition Classes
       Iterable
105.  def length: Int

     The length (number of elements) of the wrapped array.

     The length (number of elements) of the wrapped array. `size` is an alias for `length` in `Seq` collections.

     Definition Classes
       ofFloat → SeqOps
106.  final def lengthCompare(that: collection.Iterable[_]): Int

     Compares the length of this wrapped array to the size of another `Iterable`.

     Compares the length of this wrapped array to the size of another `Iterable`.

     that

       the `Iterable` whose size is compared with this wrapped array's length.

     returns

       A value `x` where

           x <  0       if this.length <  that.size
           x == 0       if this.length == that.size
           x >  0       if this.length >  that.size

       The method as implemented here does not call `length` or `size` directly; its running time is `O(this.length min that.size)` instead of `O(this.length + that.size)`. The method should be overridden if computing `size` is cheap and `knownSize` returns `-1`.

     Definition Classes
       IndexedSeqOps → SeqOps
107.  final def lengthCompare(len: Int): Int

     Compares the length of this wrapped array to a test value.

     Compares the length of this wrapped array to a test value.

     len

       the test value that gets compared with the length.

     returns

       A value `x` where

           x <  0       if this.length <  len
           x == 0       if this.length == len
           x >  0       if this.length >  len

       The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overridden if computing `length` is cheap and `knownSize` returns `-1`.

     Definition Classes
       IndexedSeqOps → SeqOps
     See also

       lengthIs

108.  final def lengthIs: SizeCompareOps

     Returns a value class containing operations for comparing the length of this wrapped array to a test value.

     Returns a value class containing operations for comparing the length of this wrapped array to a test value.

     These operations are implemented in terms of `lengthCompare(Int)`, and allow the following more readable usages:

         this.lengthIs < len     // this.lengthCompare(len) < 0
         this.lengthIs <= len    // this.lengthCompare(len) <= 0
         this.lengthIs == len    // this.lengthCompare(len) == 0
         this.lengthIs != len    // this.lengthCompare(len) != 0
         this.lengthIs >= len    // this.lengthCompare(len) >= 0
         this.lengthIs > len     // this.lengthCompare(len) > 0

     Definition Classes
       SeqOps
     Annotations
       @inline()
109.  def lift: (Int) => Option[Float]

     Turns this partial function into a plain function returning an `Option` result.

     Turns this partial function into a plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

110.  def map[B](f: (Float) => B): ArraySeq[B]

     Builds a new wrapped array by applying a function to all elements of this wrapped array.

     Builds a new wrapped array by applying a function to all elements of this wrapped array.

     B

       the element type of the returned wrapped array.

     f

       the function to apply to each element.

     returns

       a new wrapped array resulting from applying the given function `f` to each element of this wrapped array and collecting the results.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps → IterableOnceOps
111.  def mapInPlace(f: (Float) => Float): ofFloat.this.type

     Modifies this wrapped array by applying a function to all elements of this wrapped array.

     Modifies this wrapped array by applying a function to all elements of this wrapped array.

     f

       the function to apply to each element.

     returns

       this wrapped array modified by replacing all elements with the result of applying the given function `f` to each element of this wrapped array.

     Definition Classes
       IndexedSeqOps
112.  def max[B >: Float](implicit ord: math.Ordering[B]): Float

     Finds the largest element.

     Finds the largest element.

     B

       The type over which the ordering is defined.

     ord

       An ordering to be used for comparing elements.

     returns

       the largest element of this wrapped array with respect to the ordering `ord`.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this wrapped array is empty.

113.  def maxBy[B](f: (Float) => B)(implicit cmp: math.Ordering[B]): Float

     Finds the first element which yields the largest value measured by function f.

     Finds the first element which yields the largest value measured by function f.

     B

       The result type of the function f.

     f

       The measuring function.

     cmp

       An ordering to be used for comparing elements.

     returns

       the first element of this wrapped array with the largest value measured by function f with respect to the ordering `cmp`.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this wrapped array is empty.

114.  def maxByOption[B](f: (Float) => B)(implicit cmp: math.Ordering[B]): Option[Float]

     Finds the first element which yields the largest value measured by function f.

     Finds the first element which yields the largest value measured by function f.

     B

       The result type of the function f.

     f

       The measuring function.

     cmp

       An ordering to be used for comparing elements.

     returns

       an option value containing the first element of this wrapped array with the largest value measured by function f with respect to the ordering `cmp`.

     Definition Classes
       IterableOnceOps
115.  def maxOption[B >: Float](implicit ord: math.Ordering[B]): Option[Float]

     Finds the largest element.

     Finds the largest element.

     B

       The type over which the ordering is defined.

     ord

       An ordering to be used for comparing elements.

     returns

       an option value containing the largest element of this wrapped array with respect to the ordering `ord`.

     Definition Classes
       IterableOnceOps
116.  def min[B >: Float](implicit ord: math.Ordering[B]): Float

     Finds the smallest element.

     Finds the smallest element.

     B

       The type over which the ordering is defined.

     ord

       An ordering to be used for comparing elements.

     returns

       the smallest element of this wrapped array with respect to the ordering `ord`.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this wrapped array is empty.

117.  def minBy[B](f: (Float) => B)(implicit cmp: math.Ordering[B]): Float

     Finds the first element which yields the smallest value measured by function f.

     Finds the first element which yields the smallest value measured by function f.

     B

       The result type of the function f.

     f

       The measuring function.

     cmp

       An ordering to be used for comparing elements.

     returns

       the first element of this wrapped array with the smallest value measured by function f with respect to the ordering `cmp`.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this wrapped array is empty.

118.  def minByOption[B](f: (Float) => B)(implicit cmp: math.Ordering[B]): Option[Float]

     Finds the first element which yields the smallest value measured by function f.

     Finds the first element which yields the smallest value measured by function f.

     B

       The result type of the function f.

     f

       The measuring function.

     cmp

       An ordering to be used for comparing elements.

     returns

       an option value containing the first element of this wrapped array with the smallest value measured by function f with respect to the ordering `cmp`.

     Definition Classes
       IterableOnceOps
119.  def minOption[B >: Float](implicit ord: math.Ordering[B]): Option[Float]

     Finds the smallest element.

     Finds the smallest element.

     B

       The type over which the ordering is defined.

     ord

       An ordering to be used for comparing elements.

     returns

       an option value containing the smallest element of this wrapped array with respect to the ordering `ord`.

     Definition Classes
       IterableOnceOps
120.  final def mkString: String

     Displays all elements of this wrapped array in a string.

     Displays all elements of this wrapped array in a string.

     Delegates to addString, which can be overridden.

     returns

       a string representation of this wrapped array. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this wrapped array follow each other without any separator string.

     Definition Classes
       IterableOnceOps
     Annotations
       @inline()
121.  final def mkString(sep: String): String

     Displays all elements of this wrapped array in a string using a separator string.

     Displays all elements of this wrapped array in a string using a separator string.

     Delegates to addString, which can be overridden.

     sep

       the separator string.

     returns

       a string representation of this wrapped array. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this wrapped array are separated by the string `sep`.

     Definition Classes
       IterableOnceOps
     Annotations
       @inline()
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

122.  final def mkString(start: String, sep: String, end: String): String

     Displays all elements of this wrapped array in a string using start, end, and separator strings.

     Displays all elements of this wrapped array in a string using start, end, and separator strings.

     Delegates to addString, which can be overridden.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this wrapped array. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this wrapped array are separated by the string `sep`.

     Definition Classes
       IterableOnceOps
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

123.  final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef
124.  def newSpecificBuilder: Builder[Float, ArraySeq[Float]]

     returns

       a strict builder for the same collection type. Note that in the case of lazy collections (e.g. scala.collection.View or scala.collection.immutable.LazyList), it is possible to implement this method but the resulting `Builder` will break laziness. As a consequence, operations should preferably be implemented with `fromSpecific` instead of this method.

     Attributes
       protected
     Definition Classes
       ArraySeq → IterableFactoryDefaults → IterableOps
     Note

       When implementing a custom collection type and refining `C` to the new type, this method needs to be overridden (the compiler will issue an error otherwise). In the common case where `C =:= CC[A]`, this can be done by mixing in the scala.collection.IterableFactoryDefaults trait, which implements the method using iterableFactory.

       ,

       As witnessed by the `@uncheckedVariance` annotation, using this method might be unsound. However, as long as the returned builder is only fed with `A` values taken from `this` instance, it is safe.

125.  def nonEmpty: Boolean

     Tests whether the wrapped array is not empty.

     Tests whether the wrapped array is not empty.

     returns

       `true` if the wrapped array contains at least one element, `false` otherwise.

     Definition Classes
       IterableOnceOps
     Annotations
       @deprecatedOverriding(message = "nonEmpty is defined as !isEmpty; override isEmpty instead", since = "2.13.0")
126.  final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Annotations
       @native()
     Note

       not specified by SLS as a member of AnyRef

127.  final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Annotations
       @native()
     Note

       not specified by SLS as a member of AnyRef

128.  def occCounts[B](sq: collection.Seq[B]): Map[B, Int]
     Attributes
       protected[collection]
     Definition Classes
       SeqOps
129.  def orElse[A1 <: Int, B1 >: Float](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction
130.  def padTo[B >: Float](len: Int, elem: B): ArraySeq[B]

     A copy of this wrapped array with an element value appended until a given target length is reached.

     A copy of this wrapped array with an element value appended until a given target length is reached.

     B

       the element type of the returned wrapped array.

     len

       the target length

     elem

       the padding value

     returns

       a new wrapped array consisting of all elements of this wrapped array followed by the minimal number of occurrences of `elem` so that the resulting collection has a length of at least `len`.

     Definition Classes
       StrictOptimizedSeqOps → SeqOps
131.  def partition(p: (Float) => Boolean): (ArraySeq[Float], ArraySeq[Float])

     A pair of, first, all elements that satisfy predicate `p` and, second, all elements that do not.

     A pair of, first, all elements that satisfy predicate `p` and, second, all elements that do not. Interesting because it splits a collection in two.

     The default implementation provided here needs to traverse the collection twice. Strict collections have an overridden version of `partition` in `StrictOptimizedIterableOps`, which requires only a single traversal.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps
132.  def partitionMap[A1, A2](f: (Float) => Either[A1, A2]): (ArraySeq[A1], ArraySeq[A2])

     Applies a function `f` to each element of the wrapped array and returns a pair of wrapped arrays: the first one made of those values returned by `f` that were wrapped in scala.util.Left, and the second one made of those wrapped in scala.util.Right.

     Applies a function `f` to each element of the wrapped array and returns a pair of wrapped arrays: the first one made of those values returned by `f` that were wrapped in scala.util.Left, and the second one made of those wrapped in scala.util.Right.

     Example:

         val xs = `ArraySeq`(1, "one", 2, "two", 3, "three") partitionMap {
          case i: Int => Left(i)
          case s: String => Right(s)
         }
         // xs == (`ArraySeq`(1, 2, 3),
         //        `ArraySeq`(one, two, three))

     A1

       the element type of the first resulting collection

     A2

       the element type of the second resulting collection

     f

       the 'split function' mapping the elements of this wrapped array to an scala.util.Either

     returns

       a pair of wrapped arrays: the first one made of those values returned by `f` that were wrapped in scala.util.Left, and the second one made of those wrapped in scala.util.Right.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps
133.  def patch[B >: Float](from: Int, other: IterableOnce[B], replaced: Int): ArraySeq[B]

     Produces a new wrapped array where a slice of elements in this wrapped array is replaced by another sequence.

     Produces a new wrapped array where a slice of elements in this wrapped array is replaced by another sequence.

     Patching at negative indices is the same as patching starting at 0. Patching at indices at or larger than the length of the original wrapped array appends the patch to the end. If more values are replaced than actually exist, the excess is ignored.

     B

       the element type of the returned wrapped array.

     from

       the index of the first replaced element

     other

       the replacement sequence

     replaced

       the number of elements to drop in the original wrapped array

     returns

       a new wrapped array consisting of all elements of this wrapped array except that `replaced` elements starting from `from` are replaced by all the elements of `other`.

     Definition Classes
       SeqOps
134.  def permutations: Iterator[ArraySeq[Float]]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     returns

       An Iterator which traverses the distinct permutations of this wrapped array.

     Definition Classes
       SeqOps
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

135.  def prepended[B >: Float](elem: B): ArraySeq[B]

     A copy of the wrapped array with an element prepended.

     A copy of the wrapped array with an element prepended.

     Also, the original wrapped array is not modified, so you will want to capture the result.

     Example:

         scala> val x = List(1)
         x: List[Int] = List(1)

         scala> val y = 2 +: x
         y: List[Int] = List(2, 1)

         scala> println(x)
         List(1)

     B

       the element type of the returned wrapped array.

     elem

       the prepended element

     returns

       a new wrapped array consisting of `value` followed by all elements of this wrapped array.

     Definition Classes
       StrictOptimizedSeqOps → SeqOps
136.  def prependedAll[B >: Float](prefix: IterableOnce[B]): ArraySeq[B]

     As with `:++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

     As with `:++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

     It differs from `:++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

     B

       the element type of the returned collection.

     prefix

       the iterable to prepend.

     returns

       a new wrapped array which contains all elements of `prefix` followed by all the elements of this wrapped array.

     Definition Classes
       StrictOptimizedSeqOps → SeqOps
137.  def product[B >: Float](implicit num: math.Numeric[B]): B

     Multiplies up the elements of this collection.

     Multiplies up the elements of this collection.

     B

       the result type of the `*` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `*` operator to be used in forming the product.

     returns

       the product of all elements of this wrapped array with respect to the `*` operator in `num`.

     Definition Classes
       IterableOnceOps
138.  def reduce[B >: Float](op: (B, B) => B): B

     Reduces the elements of this wrapped array using the specified associative binary operator.

     Reduces the elements of this wrapped array using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     B

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the wrapped array is nonempty.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this wrapped array is empty.

139.  def reduceLeft[B >: Float](op: (B, Float) => B): B

     Applies a binary operator to all elements of this wrapped array, going left to right.

     Applies a binary operator to all elements of this wrapped array, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this wrapped array, going left to right: `op( op( ... op(x1, x2) ..., xn-1), xn)` where `x1, ..., xn` are the elements of this wrapped array.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this wrapped array is empty.

140.  def reduceLeftOption[B >: Float](op: (B, Float) => B): Option[B]

     Optionally applies a binary operator to all elements of this wrapped array, going left to right.

     Optionally applies a binary operator to all elements of this wrapped array, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` if this wrapped array is nonempty, `None` otherwise.

     Definition Classes
       IterableOnceOps
141.  def reduceOption[B >: Float](op: (B, B) => B): Option[B]

     Reduces the elements of this wrapped array, if any, using the specified associative binary operator.

     Reduces the elements of this wrapped array, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     B

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       IterableOnceOps
142.  def reduceRight[B >: Float](op: (Float, B) => B): B

     Applies a binary operator to all elements of this wrapped array, going right to left.

     Applies a binary operator to all elements of this wrapped array, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this wrapped array, going right to left: `op(x1, op(x2, ..., op(xn-1, xn)...))` where `x1, ..., xn` are the elements of this wrapped array.

     Definition Classes
       IterableOnceOps
     Exceptions thrown

       `UnsupportedOperationException` if this wrapped array is empty.

143.  def reduceRightOption[B >: Float](op: (Float, B) => B): Option[B]

     Optionally applies a binary operator to all elements of this wrapped array, going right to left.

     Optionally applies a binary operator to all elements of this wrapped array, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` if this wrapped array is nonempty, `None` otherwise.

     Definition Classes
       IterableOnceOps
144.  def reverse: ArraySeq[Float]

     Returns new wrapped array with elements in reversed order.

     Returns new wrapped array with elements in reversed order.

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     returns

       A new wrapped array with all elements of this wrapped array in reversed order.

     Definition Classes
       IndexedSeqOps → SeqOps
145.  def reverseIterator: Iterator[Float]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this wrapped array in reversed order

     Definition Classes
       IndexedSeqOps → SeqOps
146.  def reversed: collection.Iterable[Float]
     Attributes
       protected
     Definition Classes
       IndexedSeqOps → IterableOnceOps
147.  def runWith[U](action: (Float) => U): (Int) => Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Definition Classes
       PartialFunction
     See also

       `applyOrElse`.

148.  def sameElements[B >: Float](that: IterableOnce[B]): Boolean

     Are the elements of this collection the same (and in the same order) as those of `that`?

     Are the elements of this collection the same (and in the same order) as those of `that`?

     Definition Classes
       SeqOps
149.  def scan[B >: Float](z: B)(op: (B, B) => B): ArraySeq[B]

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     returns

       a new wrapped array containing the prefix scan of the elements in this wrapped array

     Definition Classes
       IterableOps
150.  def scanLeft[B](z: B)(op: (B, Float) => B): ArraySeq[B]

     Produces a wrapped array containing cumulative results of applying the operator going left to right, including the initial value.

     Produces a wrapped array containing cumulative results of applying the operator going left to right, including the initial value.

     B

       the type of the elements in the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     returns

       collection with intermediate results

     Definition Classes
       StrictOptimizedIterableOps → IterableOps → IterableOnceOps
151.  def scanRight[B](z: B)(op: (Float, B) => B): ArraySeq[B]

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     returns

       collection with intermediate results

     Definition Classes
       IterableOps
152.  def search[B >: Float](elem: B, from: Int, to: Int)(implicit ord: math.Ordering[B]): SearchResult

     Search within an interval in this sorted sequence for a specific element.

     Search within an interval in this sorted sequence for a specific element. If this sequence is an `IndexedSeq`, a binary search is used. Otherwise, a linear search is used.

     The sequence should be sorted with the same `Ordering` before calling; otherwise, the results are undefined.

     elem

       the element to find.

     from

       the index where the search starts.

     to

       the index following where the search ends.

     ord

       the ordering to be used to compare elements.

     returns

       a `Found` value containing the index corresponding to the element in the sequence, or the `InsertionPoint` where the element would be inserted if the element is not in the sequence.

     Definition Classes
       IndexedSeqOps → SeqOps
     Note

       if `to <= from`, the search space is empty, and an `InsertionPoint` at `from` is returned

     See also

       scala.collection.IndexedSeq

       scala.math.Ordering

       scala.collection.SeqOps, method `sorted`

153.  def search[B >: Float](elem: B)(implicit ord: math.Ordering[B]): SearchResult

     Search this sorted sequence for a specific element.

     Search this sorted sequence for a specific element. If the sequence is an `IndexedSeq`, a binary search is used. Otherwise, a linear search is used.

     The sequence should be sorted with the same `Ordering` before calling; otherwise, the results are undefined.

     elem

       the element to find.

     ord

       the ordering to be used to compare elements.

     returns

       a `Found` value containing the index corresponding to the element in the sequence, or the `InsertionPoint` where the element would be inserted if the element is not in the sequence.

     Definition Classes
       IndexedSeqOps → SeqOps
     See also

       scala.collection.IndexedSeq

       scala.math.Ordering

       scala.collection.SeqOps, method `sorted`

154.  def segmentLength(p: (Float) => Boolean, from: Int): Int

     Computes the length of the longest segment that starts from some index and whose elements all satisfy some predicate.

     Computes the length of the longest segment that starts from some index and whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this wrapped array starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       SeqOps
155.  final def segmentLength(p: (Float) => Boolean): Int

     Computes the length of the longest segment that starts from the first element and whose elements all satisfy some predicate.

     Computes the length of the longest segment that starts from the first element and whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     returns

       the length of the longest segment of this wrapped array that starts from the first element such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       SeqOps
156.  final def size: Int

     The size of this wrapped array.

     The size of this wrapped array.

     returns

       the number of elements in this wrapped array.

     Definition Classes
       SeqOps → IterableOnceOps
157.  final def sizeCompare(that: collection.Iterable[_]): Int

     Compares the size of this wrapped array to the size of another `Iterable`.

     Compares the size of this wrapped array to the size of another `Iterable`.

     that

       the `Iterable` whose size is compared with this wrapped array's size.

     returns

       A value `x` where

           x <  0       if this.size <  that.size
           x == 0       if this.size == that.size
           x >  0       if this.size >  that.size

       The method as implemented here does not call `size` directly; its running time is `O(this.size min that.size)` instead of `O(this.size + that.size)`. The method should be overridden if computing `size` is cheap and `knownSize` returns `-1`.

     Definition Classes
       SeqOps → IterableOps
158.  final def sizeCompare(otherSize: Int): Int

     Compares the size of this wrapped array to a test value.

     Compares the size of this wrapped array to a test value.

     otherSize

       the test value that gets compared with the size.

     returns

       A value `x` where

           x <  0       if this.size <  otherSize
           x == 0       if this.size == otherSize
           x >  0       if this.size >  otherSize

       The method as implemented here does not call `size` directly; its running time is `O(size min otherSize)` instead of `O(size)`. The method should be overridden if computing `size` is cheap and `knownSize` returns `-1`.

     Definition Classes
       SeqOps → IterableOps
     See also

       sizeIs

159.  final def sizeIs: SizeCompareOps

     Returns a value class containing operations for comparing the size of this wrapped array to a test value.

     Returns a value class containing operations for comparing the size of this wrapped array to a test value.

     These operations are implemented in terms of `sizeCompare(Int)`, and allow the following more readable usages:

         this.sizeIs < size     // this.sizeCompare(size) < 0
         this.sizeIs <= size    // this.sizeCompare(size) <= 0
         this.sizeIs == size    // this.sizeCompare(size) == 0
         this.sizeIs != size    // this.sizeCompare(size) != 0
         this.sizeIs >= size    // this.sizeCompare(size) >= 0
         this.sizeIs > size     // this.sizeCompare(size) > 0

     Definition Classes
       IterableOps
     Annotations
       @inline()
160.  def slice(from: Int, until: Int): ArraySeq[Float]

     Selects an interval of elements.

     Selects an interval of elements. The returned wrapped array is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     from

       the lowest index to include from this wrapped array.

     until

       the lowest index to EXCLUDE from this wrapped array.

     returns

       a wrapped array containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this wrapped array.

     Definition Classes
       IndexedSeqOps → IterableOps → IterableOnceOps
161.  def sliding(size: Int, step: Int): Iterator[ArraySeq[Float]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     The returned iterator will be empty when called on an empty collection. The last element the iterator produces may be smaller than the window size when the original collection isn't exhausted by the window before it and its last element isn't skipped by the step before it.

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups

     returns

       An iterator producing wrapped arrays of size `size`, except the last element (which may be the only element) will be smaller if there are fewer than `size` elements remaining to be grouped.

     Definition Classes
       IterableOps
     Examples:

     1. `List(1, 2, 3, 4, 5).sliding(2, 2) = Iterator(List(1, 2), List(3, 4), List(5))`

     ,

     2. `List(1, 2, 3, 4, 5, 6).sliding(2, 3) = Iterator(List(1, 2), List(4, 5))`

     See also

       scala.collection.Iterator, method `sliding`

162.  def sliding(size: Int): Iterator[ArraySeq[Float]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in `grouped`.)

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in `grouped`.)

     An empty collection returns an empty iterator, and a non-empty collection containing fewer elements than the window size returns an iterator that will produce the original collection as its only element.

     size

       the number of elements per group

     returns

       An iterator producing wrapped arrays of size `size`, except for a non-empty collection with less than `size` elements, which returns an iterator that produces the source collection itself as its only element.

     Definition Classes
       IterableOps
     Examples:

     1. `List().sliding(2) = empty iterator`

     ,

     2. `List(1).sliding(2) = Iterator(List(1))`

     ,

     3. `List(1, 2).sliding(2) = Iterator(List(1, 2))`

     ,

     4. `List(1, 2, 3).sliding(2) = Iterator(List(1, 2), List(2, 3))`

     See also

       scala.collection.Iterator, method `sliding`

163.  def sortBy[B](f: (Float) => B)(implicit ord: Ordering[B]): ArraySeq[Float]

     Sorts this wrapped array according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this wrapped array according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     The sort is stable. That is, elements that are equal (as determined by `ord.compare`) appear in the same order in the sorted sequence as in the original.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a wrapped array consisting of the elements of this wrapped array sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqOps
     Example:

     1.     val words = "The quick brown fox jumped over the lazy dog".split(' ')
            // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
            words.sortBy(x => (x.length, x.head))
            res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

164.  def sortInPlace[B >: Float]()(implicit ord: Ordering[B]): ofFloat.this.type

     Sorts this wrapped array in place according to an Ordering.

     Sorts this wrapped array in place according to an Ordering.

     ord

       the ordering to be used to compare elements.

     returns

       modified input wrapped array sorted according to the ordering `ord`.

     Definition Classes
       ArraySeq → IndexedSeqOps
     See also

       scala.collection.SeqOps.sorted

165.  def sortInPlaceBy[B](f: (Float) => B)(implicit ord: Ordering[B]): ofFloat.this.type

     Sorts this wrapped array in place according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this wrapped array in place according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Definition Classes
       IndexedSeqOps
     See also

       scala.collection.SeqOps.sortBy

166.  def sortInPlaceWith(lt: (Float, Float) => Boolean): ofFloat.this.type

     Sorts this wrapped array in place according to a comparison function.

     Sorts this wrapped array in place according to a comparison function.

     Definition Classes
       IndexedSeqOps
     See also

       scala.collection.SeqOps.sortWith

167.  def sortWith(lt: (Float, Float) => Boolean): ArraySeq[Float]

     Sorts this wrapped array according to a comparison function.

     Sorts this wrapped array according to a comparison function.

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a wrapped array consisting of the elements of this wrapped array sorted according to the comparison function `lt`.

     Definition Classes
       SeqOps
     Example:

     1.     List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
            List("Bob", "John", "Steve", "Tom")

168.  def sorted[B >: Float](implicit ord: Ordering[B]): ArraySeq[Float]

     Sorts this wrapped array according to an Ordering.

     Sorts this wrapped array according to an Ordering.

     The sort is stable. That is, elements that are equal (as determined by `ord.compare`) appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a wrapped array consisting of the elements of this wrapped array sorted according to the ordering `ord`.

     Definition Classes
       ArraySeq → SeqOps
     See also

       scala.math.Ordering Note: Even when applied to a view or a lazy collection it will always force the elements.

169.  def span(p: (Float) => Boolean): (ArraySeq[Float], ArraySeq[Float])

     Splits this wrapped array into a prefix/suffix pair according to a predicate.

     Splits this wrapped array into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     p

       the test predicate

     returns

       a pair consisting of the longest prefix of this wrapped array whose elements all satisfy `p`, and the rest of this wrapped array.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps → IterableOnceOps
170.  def splitAt(n: Int): (ArraySeq[Float], ArraySeq[Float])

     Splits this wrapped array into a prefix/suffix pair at a given position.

     Splits this wrapped array into a prefix/suffix pair at a given position.

     Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of wrapped arrays consisting of the first `n` elements of this wrapped array, and the other elements.

     Definition Classes
       IterableOps → IterableOnceOps
171.  def startsWith[B >: Float](that: IterableOnce[B], offset: Int = 0): Boolean

     Tests whether this wrapped array contains the given sequence at a given index.

     Tests whether this wrapped array contains the given sequence at a given index.

     Note: If the both the receiver object `this` and the argument `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this wrapped array at index `offset`, otherwise `false`.

     Definition Classes
       SeqOps
172.  def stepper[S <: Stepper[_]](implicit shape: StepperShape[Float, S]): S with EfficientSplit

     Returns a scala.collection.Stepper for the elements of this collection.

     Returns a scala.collection.Stepper for the elements of this collection.

     The Stepper enables creating a Java stream to operate on the collection, see scala.jdk.StreamConverters. For collections holding primitive values, the Stepper can be used as an iterator which doesn't box the elements.

     The implicit scala.collection.StepperShape parameter defines the resulting Stepper type according to the element type of this collection.

     - For collections of `Int`, `Short`, `Byte` or `Char`, an scala.collection.IntStepper is returned
     - For collections of `Double` or `Float`, a scala.collection.DoubleStepper is returned
     - For collections of `Long` a scala.collection.LongStepper is returned
     - For any other element type, an scala.collection.AnyStepper is returned

     Note that this method is overridden in subclasses and the return type is refined to `S with EfficientSplit`, for example scala.collection.IndexedSeqOps.stepper. For Steppers marked with scala.collection.Stepper.EfficientSplit, the converters in scala.jdk.StreamConverters allow creating parallel streams, whereas bare Steppers can be converted only to sequential streams.

     Definition Classes
       ofFloat → ArraySeq → IndexedSeqOps → IterableOnce
173.  final def strictOptimizedCollect[B, C2](b: Builder[B, C2], pf: PartialFunction[Float, B]): C2

     B

       Type of elements of the resulting collection (e.g. `String`)

     C2

       Type of the resulting collection (e.g. `List[String]`)

     b

       Builder to use to build the resulting collection

     pf

       Element transformation partial function

     returns

       The resulting collection

     Attributes
       protected[this]
     Definition Classes
       StrictOptimizedIterableOps
     Annotations
       @inline()
174.  final def strictOptimizedConcat[B >: Float, C2](that: IterableOnce[B], b: Builder[B, C2]): C2

     B

       Type of elements of the resulting collections (e.g. `Int`)

     C2

       Type of the resulting collection (e.g. `List[Int]`)

     that

       Elements to concatenate to this collection

     b

       Builder to use to build the resulting collection

     returns

       The resulting collection

     Attributes
       protected[this]
     Definition Classes
       StrictOptimizedIterableOps
     Annotations
       @inline()
175.  final def strictOptimizedFlatMap[B, C2](b: Builder[B, C2], f: (Float) => IterableOnce[B]): C2

     B

       Type of elements of the resulting collection (e.g. `String`)

     C2

       Type of the resulting collection (e.g. `List[String]`)

     b

       Builder to use to build the resulting collection

     f

       Element transformation function

     returns

       The resulting collection

     Attributes
       protected[this]
     Definition Classes
       StrictOptimizedIterableOps
     Annotations
       @inline()
176.  final def strictOptimizedFlatten[B, C2](b: Builder[B, C2])(implicit toIterableOnce: (Float) => IterableOnce[B]): C2

     B

       Type of elements of the resulting collection (e.g. `Int`)

     C2

       Type of the resulting collection (e.g. `List[Int]`)

     b

       Builder to use to build the resulting collection

     toIterableOnce

       Evidence that `A` can be seen as an `IterableOnce[B]`

     returns

       The resulting collection

     Attributes
       protected[this]
     Definition Classes
       StrictOptimizedIterableOps
     Annotations
       @inline()
177.  final def strictOptimizedMap[B, C2](b: Builder[B, C2], f: (Float) => B): C2

     B

       Type of elements of the resulting collection (e.g. `String`)

     C2

       Type of the resulting collection (e.g. `List[String]`)

     b

       Builder to use to build the resulting collection

     f

       Element transformation function

     returns

       The resulting collection

     Attributes
       protected[this]
     Definition Classes
       StrictOptimizedIterableOps
     Annotations
       @inline()
178.  final def strictOptimizedZip[B, C2](that: IterableOnce[B], b: Builder[(Float, B), C2]): C2

     B

       Type of elements of the second collection (e.g. `String`)

     C2

       Type of the resulting collection (e.g. `List[(Int, String)]`)

     that

       Collection to zip with this collection

     b

       Builder to use to build the resulting collection

     returns

       The resulting collection

     Attributes
       protected[this]
     Definition Classes
       StrictOptimizedIterableOps
     Annotations
       @inline()
179.  def stringPrefix: String
     Attributes
       protected[this]
     Definition Classes
       IndexedSeq → Seq → Iterable
     Annotations
       @nowarn()
180.  def sum[B >: Float](implicit num: math.Numeric[B]): B

     Sums up the elements of this collection.

     Sums up the elements of this collection.

     B

       the result type of the `+` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `+` operator to be used in forming the sum.

     returns

       the sum of all elements of this wrapped array with respect to the `+` operator in `num`.

     Definition Classes
       IterableOnceOps
181.  final def synchronized[T0](arg0: => T0): T0

     Executes the code in `body` with an exclusive lock on `this`.

     Executes the code in `body` with an exclusive lock on `this`.

     returns

       the result of `body`

     Definition Classes
       AnyRef
182.  def tail: ArraySeq[Float]

     The rest of the collection without its first element.

     The rest of the collection without its first element.

     Definition Classes
       IterableOps
183.  def tails: Iterator[ArraySeq[Float]]

     Iterates over the tails of this wrapped array.

     Iterates over the tails of this wrapped array. The first value will be this wrapped array and the final one will be an empty wrapped array, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this wrapped array

     Definition Classes
       IterableOps
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

184.  def take(n: Int): ArraySeq[Float]

     Selects the first n elements.

     Selects the first n elements.

     n

       the number of elements to take from this wrapped array.

     returns

       a wrapped array consisting only of the first `n` elements of this wrapped array, or else the whole wrapped array, if it has less than `n` elements. If `n` is negative, returns an empty wrapped array.

     Definition Classes
       IndexedSeqOps → IterableOps → IterableOnceOps
185.  def takeRight(n: Int): ArraySeq[Float]

     A collection containing the last `n` elements of this collection.

     A collection containing the last `n` elements of this collection.

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     n

       the number of elements to take from this wrapped array.

     returns

       a wrapped array consisting only of the last `n` elements of this wrapped array, or else the whole wrapped array, if it has less than `n` elements. If `n` is negative, returns an empty wrapped array.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps
186.  def takeWhile(p: (Float) => Boolean): ArraySeq[Float]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     p

       The predicate used to test elements.

     returns

       the longest prefix of this wrapped array whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableOps → IterableOnceOps
187.  def tapEach[U](f: (Float) => U): ArraySeq[Float]

     Applies a side-effecting function to each element in this collection.

     Applies a side-effecting function to each element in this collection. Strict collections will apply `f` to their elements immediately, while lazy collections like Views and LazyLists will only apply `f` on each element if and when that element is evaluated, and each time that element is evaluated.

     U

       the return type of f

     f

       a function to apply to each element in this wrapped array

     returns

       The same logical collection as this

     Definition Classes
       StrictOptimizedIterableOps → IterableOps → IterableOnceOps
188.  def to[C1](factory: Factory[Float, C1]): C1

     Given a collection factory `factory`, convert this collection to the appropriate representation for the current element type `A`.

     Given a collection factory `factory`, convert this collection to the appropriate representation for the current element type `A`. Example uses:

     xs.to(List) xs.to(ArrayBuffer) xs.to(BitSet) // for xs: Iterable[Int]

     Definition Classes
       IterableOnceOps
189.  def toArray[B >: Float](implicit arg0: ClassTag[B]): Array[B]

     Convert collection to array.

     Convert collection to array.

     Implementation note: DO NOT call Array.from from this method.

     Definition Classes
       IterableOnceOps
190.  final def toBuffer[B >: Float]: Buffer[B]
     Definition Classes
       IterableOnceOps
     Annotations
       @inline()
191.  def toIndexedSeq: immutable.IndexedSeq[Float]
     Definition Classes
       IterableOnceOps
192.  final def toIterable: ofFloat.this.type

     returns

       This collection as an `Iterable[A]`. No new collection will be built if `this` is already an `Iterable[A]`.

     Definition Classes
       Iterable → IterableOps
193.  def toList: immutable.List[Float]
     Definition Classes
       IterableOnceOps
194.  def toMap[K, V](implicit ev: <:<[Float, (K, V)]): immutable.Map[K, V]
     Definition Classes
       IterableOnceOps
195.  def toSeq: immutable.Seq[Float]

     returns

       This collection as a `Seq[A]`. This is equivalent to `to(Seq)` but might be faster.

     Definition Classes
       IterableOnceOps
196.  def toSet[B >: Float]: immutable.Set[B]
     Definition Classes
       IterableOnceOps
197.  def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Seq → Function1 → Iterable → AnyRef → Any
198.  def toVector: immutable.Vector[Float]
     Definition Classes
       IterableOnceOps
199.  def transpose[B](implicit asIterable: (Float) => collection.Iterable[B]): ArraySeq[ArraySeq[B]]

     Transposes this wrapped array of iterable collections into a wrapped array of wrapped arrays.

     Transposes this wrapped array of iterable collections into a wrapped array of wrapped arrays.

     The resulting collection's type will be guided by the static type of wrapped array. For example:

         val xs = List(
                    Set(1, 2, 3),
                    Set(4, 5, 6)).transpose
         // xs == List(
         //         List(1, 4),
         //         List(2, 5),
         //         List(3, 6))

         val ys = Vector(
                    List(1, 2, 3),
                    List(4, 5, 6)).transpose
         // ys == Vector(
         //         Vector(1, 4),
         //         Vector(2, 5),
         //         Vector(3, 6))

     Note: Even when applied to a view or a lazy collection it will always force the elements.

     B

       the type of the elements of each iterable collection.

     asIterable

       an implicit conversion which asserts that the element type of this wrapped array is an `Iterable`.

     returns

       a two-dimensional wrapped array of wrapped arrays which has as nth row the nth column of this wrapped array.

     Definition Classes
       IterableOps
     Exceptions thrown

       `IllegalArgumentException` if all collections in this wrapped array are not of the same size.

200.  def unapply(a: Int): Option[Float]

     Tries to extract a `B` from an `A` in a pattern matching expression.

     Tries to extract a `B` from an `A` in a pattern matching expression.

     Definition Classes
       PartialFunction
201.  def unzip[A1, A2](implicit asPair: (Float) => (A1, A2)): (ArraySeq[A1], ArraySeq[A2])

     Converts this wrapped array of pairs into two collections of the first and second half of each pair.

     Converts this wrapped array of pairs into two collections of the first and second half of each pair.

         val xs = `ArraySeq`(
                    (1, "one"),
                    (2, "two"),
                    (3, "three")).unzip
         // xs == (`ArraySeq`(1, 2, 3),
         //        `ArraySeq`(one, two, three))

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this wrapped array is a pair.

     returns

       a pair of wrapped arrays, containing the first, respectively second half of each element pair of this wrapped array.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps
202.  def unzip3[A1, A2, A3](implicit asTriple: (Float) => (A1, A2, A3)): (ArraySeq[A1], ArraySeq[A2], ArraySeq[A3])

     Converts this wrapped array of triples into three collections of the first, second, and third element of each triple.

     Converts this wrapped array of triples into three collections of the first, second, and third element of each triple.

         val xs = `ArraySeq`(
                    (1, "one", '1'),
                    (2, "two", '2'),
                    (3, "three", '3')).unzip3
         // xs == (`ArraySeq`(1, 2, 3),
         //        `ArraySeq`(one, two, three),
         //        `ArraySeq`(1, 2, 3))

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this wrapped array is a triple.

     returns

       a triple of wrapped arrays, containing the first, second, respectively third member of each element triple of this wrapped array.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps
203.  def update(index: Int, elem: Float): Unit

     Update element at given index

     Update element at given index

     elem

       the new value.

     Definition Classes
       ofFloat → ArraySeq → SeqOps
204.  def updated[B >: Float](index: Int, elem: B): ArraySeq[B]

     A copy of this wrapped array with one single replaced element.

     A copy of this wrapped array with one single replaced element.

     B

       the element type of the returned wrapped array.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a new wrapped array which is a copy of this wrapped array with the element at position `index` replaced by `elem`.

     Definition Classes
       SeqOps
     Exceptions thrown

       `IndexOutOfBoundsException` if `index` does not satisfy `0 <= index < length`. In case of a lazy collection this exception may be thrown at a later time or not at all (if the end of the collection is never evaluated).

205.  def view: IndexedSeqView[Float]

     A view over the elements of this collection.

     A view over the elements of this collection.

     Definition Classes
       IndexedSeqOps → SeqOps → IterableOps
206.  final def wait(): Unit

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait--.

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait--.

     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
     Note

       not specified by SLS as a member of AnyRef

207.  final def wait(arg0: Long, arg1: Int): Unit

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-int-

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-int-

     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
     Note

       not specified by SLS as a member of AnyRef

208.  final def wait(arg0: Long): Unit

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-.

     See https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait-long-.

     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException]) @native()
     Note

       not specified by SLS as a member of AnyRef

209.  def withFilter(p: (Float) => Boolean): WithFilter[Float, [_]ArraySeq[_]]

     Creates a non-strict filter of this wrapped array.

     Creates a non-strict filter of this wrapped array.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this wrapped array which satisfy the predicate `p`.

     Definition Classes
       IterableOps
210.  def zip[B](that: IterableOnce[B]): ArraySeq[(Float, B)]

     Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs.

     Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new wrapped array containing pairs consisting of corresponding elements of this wrapped array and `that`. The length of the returned collection is the minimum of the lengths of this wrapped array and `that`.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps
211.  def zipAll[A1 >: Float, B](that: collection.Iterable[B], thisElem: A1, thatElem: B): ArraySeq[(A1, B)]

     Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs.

     Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this wrapped array is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this wrapped array.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this wrapped array and `that`. The length of the returned collection is the maximum of the lengths of this wrapped array and `that`. If this wrapped array is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this wrapped array, `thatElem` values are used to pad the result.

     Definition Classes
       IterableOps
212.  def zipWithIndex: ArraySeq[(Float, Int)]

     Zips this wrapped array with its indices.

     Zips this wrapped array with its indices.

     returns

       A new wrapped array containing pairs consisting of all elements of this wrapped array paired with their index. Indices start at `0`.

     Definition Classes
       StrictOptimizedIterableOps → IterableOps → IterableOnceOps
     Example:

     1. `List("a", "b", "c").zipWithIndex == List(("a", 0), ("b", 1), ("c", 2))`

### Deprecated Value Members

1.  def /:[B](z: B)(op: (B, Float) => B): B
   Implicit
     This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (ofFloat: IterableOnceExtensionMethods[Float])./:(z)(op)

   Definition Classes
     IterableOnceExtensionMethods
   Annotations
     @deprecated @inline()
   Deprecated

     (Since version 2.13.0) Use .iterator.foldLeft instead

2.  final def /:[B](z: B)(op: (B, Float) => B): B
   Definition Classes
     IterableOnceOps
   Annotations
     @deprecated @inline()
   Deprecated

     (Since version 2.13.0) Use foldLeft instead of /:

3.  def :\[B](z: B)(op: (Float, B) => B): B
   Implicit
     This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (ofFloat: IterableOnceExtensionMethods[Float]).:\(z)(op)

   Definition Classes
     IterableOnceExtensionMethods
   Annotations
     @deprecated @inline()
   Deprecated

     (Since version 2.13.0) Use .iterator.foldRight instead

4.  final def :\[B](z: B)(op: (Float, B) => B): B
   Definition Classes
     IterableOnceOps
   Annotations
     @deprecated @inline()
   Deprecated

     (Since version 2.13.0) Use foldRight instead of :\

5.  def aggregate[B](z: => B)(seqop: (B, Float) => B, combop: (B, B) => B): B
   Definition Classes
     IterableOnceOps
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) `aggregate` is not relevant for sequential collections. Use `foldLeft(z)(seqop)` instead.

6.  def collectFirst[B](f: PartialFunction[Float, B]): Option[B]
   Implicit
     This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (ofFloat: IterableOnceExtensionMethods[Float]).collectFirst(f)

   Definition Classes
     IterableOnceExtensionMethods
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use .iterator.collectFirst(...) instead

7.  def companion: IterableFactory[[_]ArraySeq[_]]
   Definition Classes
     IterableOps
   Annotations
     @deprecated @deprecatedOverriding(message = "Use iterableFactory instead", since = "2.13.0") @inline()
   Deprecated

     (Since version 2.13.0) Use iterableFactory instead

8.  def copyToBuffer(dest: Buffer[Float]): Unit
   Implicit
     This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (ofFloat: IterableOnceExtensionMethods[Float]).copyToBuffer(dest)

   Definition Classes
     IterableOnceExtensionMethods
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use .iterator.copyToBuffer(...) instead

9.  final def copyToBuffer[B >: Float](dest: Buffer[B]): Unit
   Definition Classes
     IterableOnceOps
   Annotations
     @deprecated @inline()
   Deprecated

     (Since version 2.13.0) Use `dest ++= coll` instead

10.  def count(f: (Float) => Boolean): Int
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).count(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.count(...) instead

11.  def exists(f: (Float) => Boolean): Boolean
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).exists(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.exists(...) instead

12.  def filter(f: (Float) => Boolean): Iterator[Float]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).filter(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.filter(...) instead

13.  def find(p: (Float) => Boolean): Option[Float]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).find(p)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.find instead

14.  def flatMap[B](f: (Float) => IterableOnce[B]): IterableOnce[B]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).flatMap(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.flatMap instead or consider requiring an Iterable

15.  def fold[A1 >: A](z: A1)(op: (A1, A1) => A1): A1
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).fold(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.fold instead

16.  def foldLeft[B](z: B)(op: (B, Float) => B): B
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).foldLeft(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foldLeft instead

17.  def foldRight[B](z: B)(op: (Float, B) => B): B
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).foldRight(z)(op)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foldRight instead

18.  def forall(f: (Float) => Boolean): Boolean
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).forall(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.forall(...) instead

19.  def foreach[U](f: (Float) => U): Unit
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).foreach(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.foreach(...) instead

20.  def hasDefiniteSize: Boolean

    Tests whether this wrapped array is known to have a finite size.

    Tests whether this wrapped array is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end. Non-empty Iterators usually return `false` even if they were created from a collection with a known finite size.

    Note: many collection methods will not work on collections of infinite sizes. The typical failure mode is an infinite loop. These methods always attempt a traversal without checking first that `hasDefiniteSize` returns `true`. However, checking `hasDefiniteSize` can provide an assurance that size is well-defined and non-termination is not a concern.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Check .knownSize instead of .hasDefiniteSize for more actionable information (see scaladoc for details)

    See also

      method `knownSize` for a more useful alternative

21.  def isEmpty: Boolean
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).isEmpty

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.isEmpty instead

22.  def map[B](f: (Float) => B): IterableOnce[B]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).map(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.map instead or consider requiring an Iterable

23.  def max(implicit ord: math.Ordering[Float]): Float
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).max(ord)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.max instead

24.  def maxBy[B](f: (Float) => B)(implicit cmp: math.Ordering[B]): Float
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).maxBy(f)(cmp)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.maxBy(...) instead

25.  def min(implicit ord: math.Ordering[Float]): Float
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).min(ord)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.min instead

26.  def minBy[B](f: (Float) => B)(implicit cmp: math.Ordering[B]): Float
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).minBy(f)(cmp)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.minBy(...) instead

27.  def mkString: String
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).mkString

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.mkString instead

28.  def mkString(sep: String): String
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).mkString(sep)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.mkString instead

29.  def mkString(start: String, sep: String, end: String): String
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).mkString(start, sep, end)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.mkString instead

30.  def nonEmpty: Boolean
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).nonEmpty

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.nonEmpty instead

31.  final def prefixLength(p: (Float) => Boolean): Int

    Returns the length of the longest prefix whose elements all satisfy some predicate.

    Returns the length of the longest prefix whose elements all satisfy some predicate.

    p

      the predicate used to test elements.

    returns

      the length of the longest prefix of this wrapped array such that every element of the segment satisfies the predicate `p`.

    Definition Classes
      SeqOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use segmentLength instead of prefixLength

32.  def product(implicit num: math.Numeric[Float]): Float
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).product(num)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.product instead

33.  def reduce(f: (Float, Float) => Float): Float
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).reduce(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduce(...) instead

34.  def reduceLeft(f: (Float, Float) => Float): Float
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).reduceLeft(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceLeft(...) instead

35.  def reduceLeftOption(f: (Float, Float) => Float): Option[Float]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).reduceLeftOption(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceLeftOption(...) instead

36.  def reduceOption(f: (Float, Float) => Float): Option[Float]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).reduceOption(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceOption(...) instead

37.  def reduceRight(f: (Float, Float) => Float): Float
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).reduceRight(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceRight(...) instead

38.  def reduceRightOption(f: (Float, Float) => Float): Option[Float]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).reduceRightOption(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.reduceRightOption(...) instead

39.  final def repr: ArraySeq[Float]
    Definition Classes
      IterableOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use coll instead of repr in a collection implementation, use the collection value itself from the outside

40.  def reverseMap[B](f: (Float) => B): ArraySeq[B]
    Definition Classes
      SeqOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .reverseIterator.map(f).to(...) instead of .reverseMap(f)

41.  def sameElements[B >: A](that: IterableOnce[B]): Boolean
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).sameElements(that)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.sameElements instead

42.  def seq: ofFloat.this.type
    Definition Classes
      Iterable
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Iterable.seq always returns the iterable itself

43.  def size: Int
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).size

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.size instead

44.  def sum(implicit num: math.Numeric[Float]): Float
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).sum(num)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.sum instead

45.  def to[C1](factory: Factory[Float, C1]): C1
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).to(factory)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(factory) instead

46.  def toArray[B >: A](implicit arg0: ClassTag[B]): Array[B]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).toArray(arg0)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.toArray

47.  def toBuffer[B >: A]: Buffer[B]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).toBuffer

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(ArrayBuffer) instead

48.  def toIndexedSeq: collection.IndexedSeq[Float]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).toIndexedSeq

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.toIndexedSeq instead

49.  final def toIterable: collection.Iterable[Float]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).toIterable

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Iterable) instead

50.  def toIterator: Iterator[Float]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).toIterator

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator instead

51.  final def toIterator: Iterator[Float]
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator instead of .toIterator

52.  def toList: immutable.List[Float]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).toList

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(List) instead

53.  def toMap[K, V](implicit ev: <:<[Float, (K, V)]): immutable.Map[K, V]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).toMap(ev)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Map) instead

54.  def toSeq: immutable.Seq[Float]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).toSeq

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Seq) instead

55.  def toSet[B >: A]: immutable.Set[B]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).toSet

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Set) instead

56.  def toStream: immutable.Stream[Float]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).toStream

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(LazyList) instead

57.  final def toStream: immutable.Stream[Float]
    Definition Classes
      IterableOnceOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .to(LazyList) instead of .toStream

58.  final def toTraversable: collection.Traversable[Float]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).toTraversable

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Iterable) instead

59.  final def toTraversable: collection.Traversable[Float]

    Converts this wrapped array to an unspecified Iterable.

    Converts this wrapped array to an unspecified Iterable. Will return the same collection if this instance is already Iterable.

    returns

      An Iterable containing all elements of this wrapped array.

    Definition Classes
      IterableOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use toIterable instead

60.  def toVector: immutable.Vector[Float]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).toVector

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use .iterator.to(Vector) instead

61.  final def transform(f: (Float) => Float): ofFloat.this.type
    Definition Classes
      SeqOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use `mapInPlace` on an `IndexedSeq` instead

62.  final def union[B >: Float](that: collection.Seq[B]): ArraySeq[B]

    Produces a new sequence which contains all elements of this wrapped array and also all elements of a given sequence.

    Produces a new sequence which contains all elements of this wrapped array and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

    B

      the element type of the returned wrapped array.

    that

      the sequence to add.

    returns

      a new collection which contains all elements of this wrapped array followed by all elements of `that`.

    Definition Classes
      SeqOps
    Annotations
      @deprecated @inline()
    Deprecated

      (Since version 2.13.0) Use `concat` instead

63.  def view(from: Int, until: Int): IndexedSeqView[Float]

    A view over a slice of the elements of this collection.

    A view over a slice of the elements of this collection.

    Definition Classes
      IndexedSeqOps → IterableOps
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .view.slice(from, until) instead of .view(from, until)

64.  def withFilter(f: (Float) => Boolean): Iterator[Float]
    Implicit
      This member is added by an implicit conversion from ofFloat toIterableOnceExtensionMethods[Float] performed by method iterableOnceExtensionMethods in scala.collection.IterableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (ofFloat: IterableOnceExtensionMethods[Float]).withFilter(f)

    Definition Classes
      IterableOnceExtensionMethods
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use .iterator.withFilter(...) instead

65.  def →[B](y: B): (ofFloat, B)
    Implicit
      This member is added by an implicit conversion from ofFloat toArrowAssoc[ofFloat] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @deprecated
    Deprecated

      (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from ArraySeq[Float]

### Inherited from java.io.Serializable

### Inherited from StrictOptimizedSeqOps[Float, ArraySeq, ArraySeq[Float]]

### Inherited from StrictOptimizedIterableOps[Float, ArraySeq, ArraySeq[Float]]

### Inherited from IndexedSeq[Float]

### Inherited from IndexedSeqOps[Float, [_]ArraySeq[_], ArraySeq[Float]]

### Inherited from collection.IndexedSeq[Float]

### Inherited from collection.IndexedSeqOps[Float, [_]ArraySeq[_], ArraySeq[Float]]

### Inherited from AbstractSeq[Float]

### Inherited from Seq[Float]

### Inherited from SeqOps[Float, [_]ArraySeq[_], ArraySeq[Float]]

### Inherited from Cloneable[ArraySeq[Float]]

### Inherited from java.lang.Cloneable

### Inherited from Iterable[Float]

### Inherited from collection.AbstractSeq[Float]

### Inherited from collection.Seq[Float]

### Inherited from Equals

### Inherited from collection.SeqOps[Float, [_]ArraySeq[_], ArraySeq[Float]]

### Inherited from PartialFunction[Int, Float]

### Inherited from (Int) => Float

### Inherited from collection.AbstractIterable[Float]

### Inherited from collection.Iterable[Float]

### Inherited from IterableFactoryDefaults[Float, [x]IndexedSeq[x]]

### Inherited from IterableOps[Float, [_]ArraySeq[_], ArraySeq[Float]]

### Inherited from IterableOnceOps[Float, [_]ArraySeq[_], ArraySeq[Float]]

### Inherited from IterableOnce[Float]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion iterableOnceExtensionMethods fromofFloat to IterableOnceExtensionMethods[Float]

### Inherited by implicit conversion any2stringadd fromofFloat to any2stringadd[ofFloat]

### Inherited by implicit conversion StringFormat fromofFloat to StringFormat[ofFloat]

### Inherited by implicit conversion Ensuring fromofFloat to Ensuring[ofFloat]

### Inherited by implicit conversion ArrowAssoc fromofFloat to ArrowAssoc[ofFloat]

### Ungrouped